Bug 10669 - KILLALL should display [Passed] instead of [Failed] in case of no processes to kill
: KILLALL should display [Passed] instead of [Failed] in case of no processes t...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/startup)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-16 23:56 by
Modified: 2008-04-02 16:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-16 23:56:32
В ситуации, когда не осталось ни одного процесса, которому нужно 
отправлять SIGKILL, выводится: 

Sending all processes KILL signal ... [FAILED]

В таком случае, здесь следовало бы выводить [PASSED]

В контексте интерфейса стартовых скриптов оно как раз
означает, что при выполнении действия выяснилось,
что ничего не надо выполнять.
Такое сообщение, я думаю, будет вызывать более адекватную
и менее негативную реакцию у пользователей.
------- Comment #1 From 2007-01-17 00:04:52 -------
Fixed in startup-0.9.8.7-alt1.